function ajax_request(funcname, params, callback, error_callback)
{
    if (params === null)
	params = 'func='+funcname;
    else if (typeof params == 'object')
	params['func'] = funcname
    else if (typeof params == 'string')
	params = 'func='+funcname+'&'+params
    else
	return false;

    $.post('/ajax.php', params,
	   function(data){
	       if (!data.status) {
		   if (typeof data.error == 'string')
		       var error = data.error;
		   else
		       var error = 'An error occurred'
		   alert(error);
		   if (typeof error_callback == 'function')
		       error_callback(data);
		   return;
	       }
	       if (typeof callback == 'function')
		   callback(data);
	   });
}

function show_message(text, timeout)
{
    if (typeof timeout == 'undefined') timeout = 3;

    var div = $('#message_div');
    if (!div.length) {
	div = $('<div>');
	div.attr('id', 'message_div').css('z-index','1000');
	div.hide();
	$(document.body).append(div);
    }

    div.text(text);
    div.center();
    div.show();

    window.setTimeout(hide_message,timeout*1000);
}

function hide_message(text)
{
    $('#message_div').hide();
}

function show_error(text, timeout)
{
    var div = $('#error_div');
    if (!div.length) {
	div = $('<div>');
	div.attr('id', 'error_div').css('z-index','1000');
	div.hide();
	div.append($('<p ><img src="/pix/close.gif" title="close" onclick="return hide_error()"/></p>'));
	div.append($('<div />'));
	$(document.body).append(div);
    }

    div.find('div').html(text);
    div.center();
    div.show();

    if (typeof timeout != 'undefined')
	window.setTimeout(hide_error,timeout*1000);
}

function hide_error(text)
{
    $('#error_div').hide();
    return false;
}
